# https://ma.ttias.be/deploying-highly-available-k3s-k3sup/

print:
	echo k3s

dep:
	curl -sLS https://get.k3sup.dev | sh
	# rename 
	#mv k3sup-darwin k3sup
	sudo install k3sup /usr/local/bin/

	k3sup --help

dep1:
	curl -sfL https://get.k3s.io | INSTALL_K3S_EXEC="--no-deploy traefik" sh -

gen:
	# need a ssh key to be provisioned onto machine
	ssh-keygen -f /Users/${USER}/.ssh/id_rsa -t rsa -b 4096

export IP=192.168.64.12
#export IP=192.168.0.1
prov:
	# provisions a ubuntu vm, copying my RSA key
	k3sup install --ip ${IP} --user ubuntu
cli:
	export KUBECONFIG=`pwd`/kubeconfig
	kubectl get node